Page MenuHomePhabricator

Spicerack: split wmf-auto-reimage-lib into Spicerack modules
Open, MediumPublic

Description

As part of the parent goal, the current wmf-auto-reimage-lib must be split and converted into multiple Spicerack modules (IPMI, Icinga, etc..)

Details

ProjectBranchLines +/-Subject
operations/software/spicerackmaster+17 -4
operations/software/spicerackmaster+19 -0
operations/software/spicerackmaster+2 -2
operations/cookbooksmaster+169 -71
operations/software/spicerackmaster+22 -17
operations/software/spicerackmaster+29 -1
operations/software/spicerackmaster+1 -1
operations/software/spicerackmaster+22 -9
operations/software/spicerackmaster+42 -6
operations/software/spicerackmaster+7 -4
operations/software/spicerackmaster+142 -2
operations/software/spicerackmaster+208 -1
operations/software/spicerackmaster+47 -0
operations/software/spicerackmaster+25 -7
operations/software/spicerackmaster+189 -4
operations/software/spicerackmaster+130 -3
operations/puppetproduction+14 -3
operations/software/spicerackmaster+294 -13
operations/software/spicerackmaster+1 -1
operations/software/spicerackmaster+339 -0
operations/software/spicerackmaster+462 -7
operations/puppetproduction+20 -1
operations/software/spicerackmaster+3 -3
operations/software/spicerackmaster+118 -1
operations/software/spicerackmaster+133 -1
operations/software/spicerackmaster+149 -27
operations/software/spicerackmaster+187 -158
operations/software/spicerackmaster+44 -0
operations/software/spicerackmaster+351 -0
Show related patches Customize query in gerrit

Event Timeline

Volans triaged this task as Medium priority.Oct 1 2018, 3:57 PM
Volans created this task.
Volans claimed this task.Oct 22 2018, 9:22 AM
Volans moved this task from Backlog to In Progress on the SRE-tools board.

Change 471238 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] dns: add dns module

https://gerrit.wikimedia.org/r/471238

Change 471238 merged by jenkins-bot:
[operations/software/spicerack@master] dns: add dns module

https://gerrit.wikimedia.org/r/471238

Change 473212 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] interactive: add ensure_shell_session()

https://gerrit.wikimedia.org/r/473212

Change 473213 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] remote: refactor Remote.query() API

https://gerrit.wikimedia.org/r/473213

Change 473212 merged by jenkins-bot:
[operations/software/spicerack@master] interactive: add ensure_shell_is_durable()

https://gerrit.wikimedia.org/r/473212

Change 473506 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] Add Icinga module

https://gerrit.wikimedia.org/r/473506

Change 473213 merged by jenkins-bot:
[operations/software/spicerack@master] remote: refactor Remote.query() API

https://gerrit.wikimedia.org/r/473213

Change 473735 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] Add Puppet module

https://gerrit.wikimedia.org/r/473735

Change 473796 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] Add administrative module

https://gerrit.wikimedia.org/r/473796

Change 473796 merged by jenkins-bot:
[operations/software/spicerack@master] Add administrative module

https://gerrit.wikimedia.org/r/473796

Change 473506 merged by jenkins-bot:
[operations/software/spicerack@master] Add Icinga module

https://gerrit.wikimedia.org/r/473506

Change 473735 merged by jenkins-bot:
[operations/software/spicerack@master] Add Puppet module

https://gerrit.wikimedia.org/r/473735

Change 477256 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] administrative: fix Reason's signature

https://gerrit.wikimedia.org/r/477256

Change 477256 merged by jenkins-bot:
[operations/software/spicerack@master] administrative: fix Reason's signature

https://gerrit.wikimedia.org/r/477256

Change 477707 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] puppet: add PuppetMaster class

https://gerrit.wikimedia.org/r/477707

Change 478030 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] Add ipmi module

https://gerrit.wikimedia.org/r/478030

Change 478931 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] icinga: fix typo in test docstring

https://gerrit.wikimedia.org/r/478931

Change 479431 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] puppet: add additional methods to PuppetHosts

https://gerrit.wikimedia.org/r/479431

Change 479463 had a related patch set uploaded (by Volans; owner: Volans):
[operations/cookbooks@master] API: convert to new Spicerack API

https://gerrit.wikimedia.org/r/479463

Change 479506 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] package_builder: add component/spicerack support

https://gerrit.wikimedia.org/r/479506

Change 479506 merged by Volans:
[operations/puppet@production] apt: add component/spicerack support

https://gerrit.wikimedia.org/r/479506

Mentioned in SAL (#wikimedia-operations) [2018-12-13T19:39:53Z] <volans> imported python-elasticsearch_5.4.0-1~deb9u1 into apt.w.o stretch-wikimedia component/spicerack - T205884

Mentioned in SAL (#wikimedia-operations) [2018-12-13T20:21:32Z] <volans> imported elasticsearch-curator_5.2.0-1~deb9u1 into apt.w.o stretch-wikimedia component/spicerack - T205884

Change 479555 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] spicerack: configure APT component/spicerack

https://gerrit.wikimedia.org/r/479555

Change 477707 merged by jenkins-bot:
[operations/software/spicerack@master] puppet: add PuppetMaster class

https://gerrit.wikimedia.org/r/477707

Change 478030 merged by jenkins-bot:
[operations/software/spicerack@master] Add ipmi module

https://gerrit.wikimedia.org/r/478030

Change 478931 merged by jenkins-bot:
[operations/software/spicerack@master] icinga: fix typo in test docstring

https://gerrit.wikimedia.org/r/478931

Change 479431 merged by jenkins-bot:
[operations/software/spicerack@master] puppet: add additional methods to PuppetHosts

https://gerrit.wikimedia.org/r/479431

Change 479555 merged by Volans:
[operations/puppet@production] spicerack: configure APT component/spicerack

https://gerrit.wikimedia.org/r/479555

Change 480063 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] icinga: add execution of Icinga commands

https://gerrit.wikimedia.org/r/480063

Change 480064 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] remote: add more functionalities

https://gerrit.wikimedia.org/r/480064

Change 480063 merged by jenkins-bot:
[operations/software/spicerack@master] icinga: add execution of Icinga commands

https://gerrit.wikimedia.org/r/480063

Change 480485 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] interactive: check TTY in ask_confirmation()

https://gerrit.wikimedia.org/r/480485

Change 480064 merged by jenkins-bot:
[operations/software/spicerack@master] remote: add more functionalities

https://gerrit.wikimedia.org/r/480064

Change 480485 merged by jenkins-bot:
[operations/software/spicerack@master] interactive: check TTY in ask_confirmation()

https://gerrit.wikimedia.org/r/480485

Change 480757 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] CHANGELOG: add changelogs for release v0.0.10

https://gerrit.wikimedia.org/r/480757

Change 480757 merged by jenkins-bot:
[operations/software/spicerack@master] CHANGELOG: add changelogs for release v0.0.10

https://gerrit.wikimedia.org/r/480757

~95% of the library has been migrated into Spicerack. I'm leaving this open as few bits are still missing to call it done.

Change 482018 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] phabricator: add phabricator module

https://gerrit.wikimedia.org/r/482018

Change 482299 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] debmonitor: add debmonitor module

https://gerrit.wikimedia.org/r/482299

test comment from spicerack

Change 482018 merged by jenkins-bot:
[operations/software/spicerack@master] phabricator: add phabricator module

https://gerrit.wikimedia.org/r/482018

Change 482299 merged by jenkins-bot:
[operations/software/spicerack@master] debmonitor: add debmonitor module

https://gerrit.wikimedia.org/r/482299

Mentioned in SAL (#wikimedia-operations) [2019-01-09T10:00:00Z] <volans> uploaded spicerack_0.0.11 to apt.wikimedia.org stretch-wikimedia T205884

Mentioned in SAL (#wikimedia-operations) [2019-01-09T10:01:09Z] <volans> upgraded spicerack to 0.0.11 on cumin2001 T205884

test comment from spicerack

Change 483454 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] puppet: add default batch_size when running puppet

https://gerrit.wikimedia.org/r/483454

Change 483455 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] puppet: fix regenerate_certificate()

https://gerrit.wikimedia.org/r/483455

Change 483456 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] ipmi: add support for DRY RUN mode

https://gerrit.wikimedia.org/r/483456

Change 483457 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] phabricator: remove unneded pylint ignore

https://gerrit.wikimedia.org/r/483457

Change 483458 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] config: add load_ini_config() function

https://gerrit.wikimedia.org/r/483458

Change 483459 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] debmonitor: use the existing configuration file

https://gerrit.wikimedia.org/r/483459

Change 483454 merged by jenkins-bot:
[operations/software/spicerack@master] puppet: add default batch_size when running puppet

https://gerrit.wikimedia.org/r/483454

Change 483455 merged by jenkins-bot:
[operations/software/spicerack@master] puppet: fix regenerate_certificate()

https://gerrit.wikimedia.org/r/483455

Change 483456 merged by jenkins-bot:
[operations/software/spicerack@master] ipmi: add support for DRY RUN mode

https://gerrit.wikimedia.org/r/483456

Change 483457 merged by jenkins-bot:
[operations/software/spicerack@master] phabricator: remove unneded pylint ignore

https://gerrit.wikimedia.org/r/483457

Change 483458 merged by jenkins-bot:
[operations/software/spicerack@master] config: add load_ini_config() function

https://gerrit.wikimedia.org/r/483458

Change 483459 merged by jenkins-bot:
[operations/software/spicerack@master] debmonitor: use the existing configuration file

https://gerrit.wikimedia.org/r/483459

Mentioned in SAL (#wikimedia-operations) [2019-01-10T19:39:57Z] <volans> uploaded spicerack_0.0.12-1_amd64.deb to apt.wikimedia.org stretch-wikimedia T205884

Mentioned in SAL (#wikimedia-operations) [2019-01-10T19:41:11Z] <volans> installed spicerack 0.0.12-1 on cumin2001 T205884

Mentioned in SAL (#wikimedia-operations) [2019-01-14T10:11:48Z] <volans> uploaded spicerack_0.0.13-1_amd64.deb to apt.wikimedia.org stretch-wikimedia T205884

Mentioned in SAL (#wikimedia-operations) [2019-01-14T10:13:23Z] <volans> installed spicerack 0.0.13 on cumin2001 for final testing - T205884

Mentioned in SAL (#wikimedia-operations) [2019-01-14T11:20:47Z] <volans> installed spicerack 0.0.13 on cumin1001 - T205884

Change 479463 merged by jenkins-bot:
[operations/cookbooks@master] API: convert to new Spicerack API

https://gerrit.wikimedia.org/r/479463

Mentioned in SAL (#wikimedia-operations) [2019-01-14T14:36:06Z] <volans> uploaded python{,3}-phabricator 0.7.0-2~wmf1 to apt.w.o T205884 (upstream removes egg files)

Mentioned in SAL (#wikimedia-operations) [2019-01-14T14:39:21Z] <volans> updated python3-phabricator on cumin[12]001 T205884

Change 484239 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] spicerack: fix version

https://gerrit.wikimedia.org/r/484239

Mentioned in SAL (#wikimedia-operations) [2019-01-14T15:08:49Z] <volans> testing switchdc cookbooks in DRY-RUN mode w/ latest spicerack T205884 (no real changes expected)

Change 484239 merged by jenkins-bot:
[operations/software/spicerack@master] spicerack: fix version

https://gerrit.wikimedia.org/r/484239

Change 487981 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] puppet: add delete() method to remove a host

https://gerrit.wikimedia.org/r/487981

Change 488204 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] administrative: add owner getter to Reason class

https://gerrit.wikimedia.org/r/488204

Change 487981 merged by jenkins-bot:
[operations/software/spicerack@master] puppet: add delete() method to remove a host

https://gerrit.wikimedia.org/r/487981

Change 488204 merged by jenkins-bot:
[operations/software/spicerack@master] administrative: add owner getter to Reason class

https://gerrit.wikimedia.org/r/488204

Volans added a comment.Nov 4 2019, 2:01 PM

Most of the modules and functionalities have been added. I've not had a chance to work on this in a while, I hope to get back to it soon. Leaving it open in the meanwhile as some minor bits were still missing to include all the current functionalities of the reimage library.

Volans removed Volans as the assignee of this task.Mon, Nov 23, 8:43 PM
Volans claimed this task.